/* Ypsilon! v1.03 */
/* Rexx example for Netdrive to mount some os2 related ftp ressources */
/* by Frank Wochatz fw@subsys.de */
parse source . . ScriptFile


/* ______________________ USER SETUP ______________________*/

drive = "Y:"		/* enter drivename */
label = "FTP-Drive"	/* enter drive - label (this is also the icontext)*/

/* ______________________ END USER SETUP __________________*/




/* ______________________ AUTOMATIC SETUP ______________________*/

inst_drive = filespec("D", ScriptFile)
inst_path = filespec("P", scriptfile)
GrnIco = inst_drive || inst_path || 'green.ico'
RedIco = inst_drive || inst_path || 'red.ico'

/* ______________________ END AUTOMATIC SETUP ______________________*/


/* Load the NetDrive REXX interface. */
if rxfuncquery('NdRxLoadFuncs') then do
 call RxFuncAdd 'NdRxLoadFuncs', 'NDCALLS', 'NdRxLoadFuncs'
 call NdRxLoadFuncs
end

/* Load the RexxUtil lib. */
if rxfuncquery('SysLoadFuncs') then do
 call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
 call SysLoadFuncs
end

/* Check Drive */
if SysDriveInfo(drive) <> "" then signal Delete_Y /* detach drive */
else do

/* Attach drive */
rc = NdRxAttach(drive, label)

/* mount hobbes */
mountPoint = 'Y:\Hobbes'
mtype = "ftp"
src = "hobbes.nmsu.edu/pub"
flag = "r"
rc = NdRxCreateMountPoint(mountPoint)
rc = NdRxMount(mtype, mountPoint, src , flag )

/* mount leo */
mountPoint = 'Y:\Leo'
mtype = "ftp"
src = "ftp.leo.org/pub/comp/os/os2/leo/"
flag = "r"
rc = NdRxCreateMountPoint(mountPoint)
rc = NdRxMount(mtype, mountPoint, src , flag )

/* mount IBM EWS OS/2 */
mountPoint = 'Y:\EWS'
mtype = "ftp"
src="ftp.software.ibm.com/pc/pccbbs/os2_ews/"
flag = "r"
rc = NdRxCreateMountPoint(mountPoint)
rc = NdRxMount(mtype, mountPoint, src , flag )

/* mount IBM TestCase OS/2 */
mountPoint = 'Y:\TestCase'
mtype = "ftp"
src = "testcase.boulder.ibm.com/ps/fromibm/os2"
flag = "r"
rc = NdRxCreateMountPoint(mountPoint)
rc = NdRxMount(mtype, mountPoint, src , flag )

/* mount netlabs */
mountPoint = 'Y:\netlabs'
mtype = "ftp"
src = "ftp.netlabs.org/"
flag = "r"
rc = NdRxCreateMountPoint(mountPoint)
rc = NdRxMount(mtype, mountPoint, src , flag )

/*
 /* mount eCs */
 mountPoint = 'Y:\eCs'
 mtype = "ftp"
 src = "user:password@ftp.ecomstation.com/"
 flag = "r"
 rc = NdRxCreateMountPoint(mountPoint)
 rc = NdRxMount(mtype, mountPoint, src , flag )
*/

/*
 /* mount a homepage */
 mountPoint = 'Y:\homepage'
 mtype = "ftp"
 src = 'user:password@homepage.com'
 flag = "rw"
 rc = NdRxCreateMountPoint(mountPoint)
 rc = NdRxMount(mtype, mountPoint, src , flag )
*/

/* update object for y.cmd */
call SysCreateObject 'WPProgram','FTP-Drive','<WP_DESKTOP>','OBJECTID=<DRIVE_YPSILON>;EXENAME='||ScriptFile||';TITLE='||label||';ICONFILE='||GrnIco||';','Update'

end

exit


Delete_Y:

/* unmount and delete all mountpoints */
 
mountPoint = 'Y:\Hobbes'
rc = NdRxUnmount(mountPoint, 0)
rc = NdRxDeleteMountPoint(mountPoint)

mountPoint = 'Y:\Leo'
rc = NdRxUnmount(mountPoint, 0)
rc = NdRxDeleteMountPoint(mountPoint)

mountPoint = 'Y:\EWS'
rc = NdRxUnmount(mountPoint, 0)
rc = NdRxDeleteMountPoint(mountPoint)

mountPoint = 'Y:\TestCase'
rc = NdRxUnmount(mountPoint, 0)
rc = NdRxDeleteMountPoint(mountPoint)

mountPoint = 'Y:\netlabs'
rc = NdRxUnmount(mountPoint, 0)
rc = NdRxDeleteMountPoint(mountPoint)

/*
 mountPoint = 'Y:\eCs'
 rc = NdRxUnmount(mountPoint, 0)
 rc = NdRxDeleteMountPoint(mountPoint)
*/

/*
 mountPoint = 'Y:\homepage'
 rc = NdRxUnmount(mountPoint, 0)
 rc = NdRxDeleteMountPoint(mountPoint)
*/

/* detach virtual drive */
rc = NdRxDetach(drive)

/* update object for y.cmd */
call SysCreateObject 'WPProgram','FTP-Drive','<WP_DESKTOP>','OBJECTID=<DRIVE_YPSILON>;EXENAME='||ScriptFile||';TITLE='||label||';ICONFILE='||RedIco||';','Update'
exit